<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Document</title>
</head>

<body>
    <div class="container">
        <div class="text-center">
            <h3>Danh sách ảnh của Album số 3</h3>
        </div>
        <table class="table table-bordered table-striped table-hover" id="tbl-user">
            <thead>
                <tr>
                    <th>STT</th>
                    <th>Album</th>
                    <th>Title</th>
                    <th>Url ảnh</th>
                    <th>Thumbnail</th>
                </tr>
            </thead>
            <tbody></tbody>
        </table>
    </div>
</body>
<script>
    $(document).ready(function () {
        onPageLoadDing();
    })
    function onPageLoadDing() {
        callAPIGetDataUser();
    }
    //
    function callAPIGetDataUser() {
        $.ajax({
            url: "https://jsonplaceholder.typicode.com/albums/3/photos",
            type: 'GET',
            dataType: 'json',
            success: function (res) {
                console.log(res);
                showDataTable(res);
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText);
            }
        });
    }
    // hiển thị dữ liệu table
    function showDataTable(paramData) {
        for (var bI = 0; bI < paramData.length; bI++) {
            var bNewRow = $("<tr>").appendTo("#tbl-user tbody");
            $("<td>").html(paramData[bI].id).appendTo(bNewRow);
            $("<td>").html(paramData[bI].albumId).appendTo(bNewRow);
            $("<td>").html(paramData[bI].title).appendTo(bNewRow);
            $("<td>").html(paramData[bI].thumbnailUrl).appendTo(bNewRow);
            $("<td>").append($("<img>", {
                src: paramData[bI].url,
                width: 100
            }))
                .appendTo(bNewRow);



        }
    }
</script>

</html>